Package org.bgerp.plugin.svc.dba.model

# Enum Class QueryType

java.lang.Object
java.lang.Enum<QueryType>
org.bgerp.plugin.svc.dba.model.QueryType

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryType>`, `Constable`

public enum QueryType extends Enum<QueryType>
Simple prefix-based query type detector.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALTER`
  `CALL`
  `CREATE`
  `DELETE`
  `DROP`
  `EXPLAIN`
  `INSERT`
  `SELECT`
  `SHOW`
  `UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QueryType`
  `of(String query)`
  Detects query type.
  `String`
  `prefix()`
  `static QueryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECT

    public static final QueryType SELECT

  - ### SHOW

    public static final QueryType SHOW

  - ### INSERT

    public static final QueryType INSERT

  - ### CREATE

    public static final QueryType CREATE

  - ### UPDATE

    public static final QueryType UPDATE

  - ### DELETE

    public static final QueryType DELETE

  - ### ALTER

    public static final QueryType ALTER

  - ### DROP

    public static final QueryType DROP

  - ### CALL

    public static final QueryType CALL

  - ### EXPLAIN

    public static final QueryType EXPLAIN

- ## Method Details

  - ### values

    public static QueryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QueryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### prefix

    public String prefix()
    Returns:
      `prefix`.

  - ### of

    public static QueryType of(String query)
    Detects query type.
    Parameters:
      `query` - SQL query.
    Returns:
      type or `null`.